:root {
    --ebctaf2-dark: #000000;
    --ebctaf2-whatsapp-color: #25D366;
    --ebctaf2-ctaf-text: #ffffff;

    --ebctaf2-primary: #1A1A1A;
    --ebctaf2-secondary: #006A71;


    --ebctaf2-space-xs: .4rem;
    --ebctaf2-space-sm: .8rem;
    --ebctaf2-space-md: 1.2rem;

    --ebctaf2-space-lg: 2rem;
    --ebctaf2-br-lg: 50px;
    --ebctaf2-transition: .35s cubic-bezier(.4, 0, .2, 1);

    --ebctaf2-fs-lg: 1.125rem;

}

body {

    direction: rtl;
}

a {
    text-decoration: none;
    color: inherit;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.ebctaf2-buttons {

    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    flex-wrap: wrap;

    gap: var(--ebctaf2-space-xs);

}



.ebctaf2-btn {

    text-decoration: none;

    border-radius: var(--ebctaf2-br-lg);

    font-size:

        clamp(var(--ebctaf2-fs-sm),

            1.2vw,

            1.1rem);

    font-weight: 600;

    display: flex;

    align-items: center;

    justify-content: center;

    padding:

        var(--ebctaf2-space-sm) var(--ebctaf2-space-md);

    transition:

        var(--ebctaf2-transition);

}



.ebctaf2-btn-call {

    background:

        var(--ebctaf2-ctaf-text);

    color:

        var(--ebctaf2-white);

}



.ebctaf2-btn-whatsapp {
    background: var(--ebctaf2-whatsapp-color);
    color: white;
}



.ebctaf2-btn:hover {

    transform:

        translateY(-3px);

}